import {StyleSheet} from 'react-native'

export const styles=StyleSheet.create({
    baseBackground:{
        backgroundColor:'black',
        height:'100%',
        justifyContent:'center',
        alignItems:'center'
    },
    baseText:{
        color:'white'
    },
    textInput:{
        backgroundColor:'white',
        width:200,
        borderRadius:20,
        textAlign:'center',
        color:'black',
        padding:10,
        marginTop:10
    },
    buttonIcon:{
        width:100,
        height:30
    },
    buttonText:{
        fontSize:15
    },
    touchable:{
        backgroundColor:'blue',
        alignItems:'center'
    },
    footer:{
        flexDirection:'row'
    },
    link:{
        fontWeight:'bold'
    },
    errorBox:{
        backgroundColor:'black',
        color:'red'
    },
    warning:{
        borderWidth:2,
        borderColor:'red'
    },
    notWarning:{
        borderWidth:0
    },
    disabledButton:{
        backgroundColor:'black',
        borderColor:'blue',
        borderWidth:2
    },
    imageButton:{
        backgroundColor:'green'
    },
    notErrorBox:{
        color:'green'
    },
    avatarSize:{
        width:150,
        height:150
    },
    uploadSize:{
        width:160
    },
    baseFlatListSize:{
        width:'100%',
        marginTop:10
    },
    mainContainer:{
        justifyContent:'flex-start',
        alignItems:'flex-start',
        padding:20
    },
    headerBar:{
        position:'absolute',
        top:20,
        left:20
    },
    headerText:{
        fontSize:30
    },
    bodyContainer:{
        marginTop:40
    },
    oneHdrdWidth:{
        width:'100%'
    },
    friendList:{
        marginBottom:50,
        marginTop:10
    },
    searchBar:{
        marginRight:15,
        padding:10
    },
    centerAlignItem:{
        alignItems:'center'
    },
    searchIcon:{
        top:'auto',
        left:'auto',
        right:10
    },
    logoutIcon:{
        top:10
    },
    profileContainer:{
        width:350,
        borderColor:'white'
    },
    profileLeftSide:{
        flex:4
    },
    profileRightSide:{
        flex:7
    },
    profileEmailLeft:{
        fontSize:13
    },
    profileEmailRight:{
        fontSize:12
    },
    feedImage:{
        minHeight:200
    },
    fiftyMarginTop:{
        marginTop:50
    },
    fiftyRight:{
        right:50
    },
    mediumHeaderText:{
        fontSize:25
    },
    backIcon:{
        top:15,
        left:'auto',
        right:25
    },
    threeMarginBottom:{
        marginBottom:3
    },
    dpMini:{
        width:15,
        height:15
    },
    nameText:{
        fontSize:10
    },
    commentDetailContainer:{
        borderRadius:10,
        marginTop:0,
        alignSelf:'flex-start',
        padding:5,
        alignItems:'flex-start',
        marginBottom:5
    },
    feedOwner:{
        height:'auto',
        padding:10
    },
    tenBottomMargin:{
        marginBottom:10
    },
    dpMedium:{
        width:25,
        height:25
    },
    feedContainer:{
        height:'auto',
        borderColor:'white',
        borderWidth:2,
        borderTopWidth:0
    },
    minFeedWidth:{
        minWidth:'100%'
    },
    likeContainer:{
        flex:1,
        padding:10
    },
    centerJustify:{
        justifyContent:'center'
    },
    commentContainer:{
        borderLeftColor:'white',
        borderLeftWidth:2
    },
    commentList:{
        borderTopWidth:0,
        padding:10
    },
    commentBar:{
        backgroundColor:'white',
        borderRadius:10,
        textAlignVertical:'center',
        padding:5
    },
    commentButton:{
        width:100,
        borderRadius:10,
        marginTop:0,
        alignSelf:'flex-end',
        padding:5
    },
    twoBorder:{
        borderWidth:2,
        borderTopWidth:2
    },
    dpBig:{
        width:50,
        height:50
    },
    threeLeftMargin:{
        marginLeft:3
    },
    flexEndAlignItem:{
        alignItems:'flex-end'
    }
})